Description: Remove the check for the udev rules file
Author: Stephen Kitt <skitt@debian.org>
Forwarded: not-needed

We should assume that the package is installed correctly. In any case
we leave the name of the rules file up to debhelper, it won’t be
42-logitech-unify-permissions.rules.

--- a/lib/solaar/gtk.py
+++ b/lib/solaar/gtk.py
@@ -154,13 +154,6 @@
     signal.signal(signal.SIGINT, _handlesig)
     signal.signal(signal.SIGTERM, _handlesig)
 
-    udev_file = '42-logitech-unify-permissions.rules'
-    if _log.isEnabledFor(_WARNING) \
-       and not os.path.isfile('/etc/udev/rules.d/' + udev_file) \
-       and not os.path.isfile('/usr/lib/udev/rules.d/' + udev_file) \
-       and not os.path.isfile('/usr/local/lib/udev/rules.d/' + udev_file):
-        _log.warning('Solaar udev file not found in expected location')
-        _log.warning('See https://pwr-solaar.github.io/Solaar/installation for more information')
     try:
         import solaar.listener as listener
         import solaar.ui as ui
